Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.dev
Interface POIFSViewable

All Known Implementing Classes:
  DirectoryNode, DirectoryProperty, DocumentNode, DocumentProperty, POIFSDocument, POIFSFileSystem, Property, RootProperty

    public interface POIFSViewable

Interface for a drill-down viewable object. Such an object has content that may or may not be displayed, at the discretion of the viewer. The content is returned to the viewer as an array or as an Iterator, and the object provides a clue as to which technique the viewer should use to get its content. A POIFSViewable object is also expected to provide a short description of itself, that can be used by a viewer when the viewable object is collapsed.

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`java.lang.String` | `getShortDescription()` Provides a short description of the object, to be used when a POIFSViewable object has not provided its contents.
`java.lang.Object[]` | `getViewableArray()` Get an array of objects, some of which may implement POIFSViewable
`java.util.Iterator` | `getViewableIterator()` Get an Iterator of objects, some of which may implement POIFSViewable
`boolean` | `preferArray()` Give viewers a hint as to whether to call getViewableArray or getViewableIterator

Method Detail

### getViewableArray

    java.lang.Object[] getViewableArray()

  Get an array of objects, some of which may implement POIFSViewable

  Returns:
    an array of Object; may not be null, but may be empty

### getViewableIterator

    java.util.Iterator getViewableIterator()

  Get an Iterator of objects, some of which may implement POIFSViewable

  Returns:
    an Iterator; may not be null, but may have an empty back end store

### preferArray

    boolean preferArray()

  Give viewers a hint as to whether to call getViewableArray or getViewableIterator

  Returns:
    true if a viewer should call getViewableArray, false if a viewer should call getViewableIterator

### getShortDescription

    java.lang.String getShortDescription()

  Provides a short description of the object, to be used when a POIFSViewable object has not provided its contents.

  Returns:
    short description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.